List creative review queue
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/creative-reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/creative-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/creative-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "42",
"reviewRef": "review:42",
"storefrontId": "1234",
"creativeId": "cr_abc123",
"contentDigest": "<string>",
"sourceTrust": {
"classification": "platform_managed_media",
"evidence": {
"kind": "<string>",
"digest": "<string>",
"policyVersion": "creative-review-source-trust/v1"
},
"reviewVersionDigest": "<string>",
"inlineAssets": [
{
"kind": "image",
"url": "<string>"
}
],
"staticRepresentation": {
"kind": "text",
"value": "<string>"
}
},
"mediaBuyId": "<string>",
"buyerCustomerId": 0,
"submittedPayload": "<unknown>",
"previewContexts": [
{
"contextRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buyerPackageId": "<string>",
"placement": {
"kind": "publisher",
"publisherDomain": "<string>",
"placementId": "<string>"
}
}
],
"interactivePreviewAvailable": true,
"status": "pending",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewerNotes": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"renderPreview": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"observation": {
"status": "queued",
"observedAt": "2023-11-07T05:31:56Z",
"record": {
"version": 1,
"outcome": "completed",
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 4503599627370495,
"viewport": {
"width": 4503599627370495,
"height": 4503599627370495
},
"domains": [
{
"domain": "<string>",
"requests": 4503599627370495,
"kinds": [
"script"
],
"firstParty": true
}
],
"pixels": 4503599627370495,
"redirects": [
{
"from": "<string>",
"to": "<string>"
}
],
"popups": [
{
"to": "<string>"
}
],
"navigationAttempts": 4503599627370495,
"consoleErrors": 4503599627370495,
"bytes": 4503599627370495,
"media": [
{
"kind": "vast",
"domain": "<string>"
}
],
"metering": "cdp",
"blockedRequests": 4503599627370495,
"failure": "<string>",
"screenshotDropped": "too_large"
}
},
"thumbnailUrl": "<string>"
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List creative review queue
List buyer-submitted creatives awaiting (or having received) operator review. Defaults to status=pending — pass ?status= to filter by lifecycle state.
GET
/
creative-reviews
List creative review queue
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/creative-reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/creative-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/creative-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "42",
"reviewRef": "review:42",
"storefrontId": "1234",
"creativeId": "cr_abc123",
"contentDigest": "<string>",
"sourceTrust": {
"classification": "platform_managed_media",
"evidence": {
"kind": "<string>",
"digest": "<string>",
"policyVersion": "creative-review-source-trust/v1"
},
"reviewVersionDigest": "<string>",
"inlineAssets": [
{
"kind": "image",
"url": "<string>"
}
],
"staticRepresentation": {
"kind": "text",
"value": "<string>"
}
},
"mediaBuyId": "<string>",
"buyerCustomerId": 0,
"submittedPayload": "<unknown>",
"previewContexts": [
{
"contextRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buyerPackageId": "<string>",
"placement": {
"kind": "publisher",
"publisherDomain": "<string>",
"placementId": "<string>"
}
}
],
"interactivePreviewAvailable": true,
"status": "pending",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewerNotes": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"renderPreview": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"observation": {
"status": "queued",
"observedAt": "2023-11-07T05:31:56Z",
"record": {
"version": 1,
"outcome": "completed",
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 4503599627370495,
"viewport": {
"width": 4503599627370495,
"height": 4503599627370495
},
"domains": [
{
"domain": "<string>",
"requests": 4503599627370495,
"kinds": [
"script"
],
"firstParty": true
}
],
"pixels": 4503599627370495,
"redirects": [
{
"from": "<string>",
"to": "<string>"
}
],
"popups": [
{
"to": "<string>"
}
],
"navigationAttempts": 4503599627370495,
"consoleErrors": 4503599627370495,
"bytes": 4503599627370495,
"media": [
{
"kind": "vast",
"domain": "<string>"
}
],
"metering": "cdp",
"blockedRequests": 4503599627370495,
"failure": "<string>",
"screenshotDropped": "too_large"
}
},
"thumbnailUrl": "<string>"
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Filter the queue by review status. Omit to return only pending rows (the operator queue default).
Available options:
pending, approved, rejected, revoked Response
List creative review queue
List response for the operator creative review queue endpoint.